API keys

Revoke an API key

DELETE
/api-keys/{key_id}

Permanently revoke your API key, or any tenant key for an administrator.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

key_id*string

Resource identifier: key_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/api-keys/123e4567-e89b-42d3-a456-426614174000" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "user_id": "123e4567-e89b-42d3-a456-426614174000",  "label": "Customer documents",  "prefix": "adl_live_a1",  "scopes": [],  "expires_at": "2026-09-04T12:00:00Z",  "last_used_at": "2026-09-04T12:00:00Z",  "revoked_at": "2026-09-04T12:00:00Z",  "grace_until": "2026-09-04T12:00:00Z",  "created_at": "2026-09-04T12:00:00Z",  "rate_limit_per_minute": 0,  "rotated_from": "123e4567-e89b-42d3-a456-426614174000",  "status": "active"}